#pragma once
#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

struct Paddle
{   
    inline static const sf::Color color {sf::Color::White};
    sf::Vector2f position;
    sf::Vector2f size;

    Paddle(); 
    Paddle(sf::Vector2f position, sf::Vector2f size);

    sf::FloatRect getBorder() const;

    void draw(sf::RenderWindow& window);
};


